Subject: Re: Bug#760861: bug#18428: Bug#760861: bug#18428: coreutils binary breaks coreutils documentation

From: Michael Stone <[email-masked]>
Date: Tue, 9 Sep 2014 10:52:21 -0400

On Tue, Sep 09, 2014 at 03:31:35PM +0100, Pádraig Brady wrote:
>It's useful to many, but I agree most don't bother with it
>due to the awkward non intuitive default info reader _interface_
>(though pinfo is a bit better in that regard).

Right. I've heard the argument for 15 years that info docs are really 
good, it's just the interface. :) In all that time, a better interface 
hasn't really caught on, and the web happened.

>Though it would be better to have direct links.
>Now the above full node URL is too long/awkward, so I've just now setup redirects,
>so the following proposed new trailers for ls --help and man pages should work:
>
>ls --help:
>  ...
>  Full documentation online at: <http://www.gnu.org/software/coreutils/ls>
>  Full installed documentation: info '(coreutils) ls invocation'

A huge improvement. I suspect that this might also help the info docs 
show up in google, instead of being below the fold. Alternative wording:

   Full documentation online at: <http://www.gnu.org/software/coreutils/ls>
   or available locally via: info '(coreutils) ls invocation'

To make it more clear it's the same thing available different ways.

Mike Stone